Index: code/branches/presentation3/data/levels/quest_test.oxw
===================================================================
--- code/branches/presentation3/data/levels/quest_test.oxw	(revision 6912)
+++ code/branches/presentation3/data/levels/quest_test.oxw	(revision 6939)
@@ -5,4 +5,16 @@
   include("templates/spaceship_HXY_SL.oxt")
   include("templates/spaceship_pirate.oxt")
+?>
+
+<Template name=spaceshipassffplayer defaults=0>
+  <SpaceShip template=spaceshipassff name=player>
+    <attached>
+    <DistanceTriggerBeacon name=Me/>
+    </attached>
+  </SpaceShip>
+</Template>
+
+<?lua
+    dofile("includes/CuboidSpaceStation.lua")
 ?>
 
@@ -32,24 +44,49 @@
 	      <GlobalQuest id="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551">
 		<QuestDescription title="Fight for freedom" 
-					description="Just a few hours ago, a group of pirates attacked an killed all your friends. Now you are very angry and you want to take revenge. Find the pirates and kill them!"
+					description="Just a few hours ago, a group of pirates attacked an killed all your  squad members. Now you are very angry and you want to take revenge. Find the pirates and kill them!"
 					failmessage="You are a loser, now the whole universe will be controlled by the pirates!" 
-					completeMessage="Yeah, you did it! Now there will be peace in the whole universe. You are a hero!"/>
+					completeMessage="Yeah, you did it! You,ve eliminated the enemies. But why attacked them the Humans here? For tousands of years, there was peace in this sun system.
+								You have to find out what happened exactly and why the pirates attacked..."/>
 			<subquests>
 				<GlobalQuest id="3159b4d4-bc86-4190-ba1d-4530668dfe31">
-					<QuestDescription title="A few problems occured!" 
-					description="This pirates are only a small part of the whole fleet. It isn't as easy as you think... Another problem is, that they've stolen
-							a very important memory stick with secret infos, the holy stick. You must get it back!" 
+					<QuestDescription title="There are more of them..." 
+					description="Now you can see it: There are more pirates... the pirates you killed were only a small part of the whole fleet. You recieved a message from your Headquarter: The pirates have stolen
+							a very important memory stick with secret infos (military locations etc.), the holy stick. You must get it back! Otherwise the humans are in great danger..." 
 					failmessage="" 
 					completeMessage="Unbelievable, you annihilated all pirates and got the stolen memory stick. 
-					But wait... this is the memory stick you looked for... anyway, it's helpful: There is a map saved on it, which leads you to a pirate - base. Perhaps you'll find more there..."/>
+								But wait... this isn't the memory stick you looked for, this stick is one from a pirate... anyway, it's helpful: There is a map saved on it, which leads you to a pirate - base. Perhaps you'll find more 
+								about their plans there..."/>
 				</GlobalQuest>
 				<GlobalQuest id="8d8ed3a6-74a6-4491-9172-26155cff151d">
 					<QuestDescription title="Find the Base"
-					description="Now you are in possession of the map and it should be easy to find the base. Because you are the best fight pilot of mankind, your ship has been pimped before you started your mission.
-						They installed a very modern navigation system, which leads you precisely to your desired destination..."
+					description="Now you are in possession of the map and it should be easy to find the base. Because you are a Member of an elite-fight-squad, your ship has been pimped before you started your mission.
+						They installed a very modern navigation system, which leads you precisely to your desired destination. Use it to find the pirate - base."
 					failmessage=""
 					completeMessage="The navigation system worked very well and now you should be near a pirate -base." />
+					<hints>
+						<QuestHint id="965101b3-26ce-4fcf-bc71-17cc2a87d2e9">
+						<QuestDescription title="3 Ways?" 
+						description="The different ways leads you to the possible positions where the base could be. The problem is that the map is encrypted and your on board system is not 
+								able to decrypt it exactly. Therefore you have to try 3 possible ways...Tha base is Huge, but it could be that it's invisible when ou are in longer distance (some Big Ships
+								have a special shield aroud them which make them invisible at longer range)."/>
+						</QuestHint>
+						<QuestHint id="9930a598-98bc-4ff8-8cc0-31311a6ccaaa">
+						<QuestDescription title=":(" description="Here isn't the base you look for... try another way."/>
+						</QuestHint>
+					</hints>
 				</GlobalQuest>
-					
+				<GlobalQuest id="8a62408b-c47b-4e02-bd3d-06bb9ec0b363">
+					<QuestDescription title="The Base" 
+					description="Yeah, you found the Base... now let's check if there is the important holy stick..." 
+					failmessage="" 
+					completeMessage="There it is, the Holy stick. Yes, you're right. It looks like a rocket because there are so many rockets in the universe, that it's nearly impossible to find the holy stick between them.
+								Anyway, the pirates found the stick... another part which is confusing. Why did they know where the holy stick is? Perpaps they know more about the humans than you think."/>
+				</GlobalQuest>
+				<GlobalQuest id="85380d05-b791-45d1-82e9-01f0bc930367">
+					<QuestDescription title="Find out more about the pirates" 
+					description= "Now, the Holy stick is back in your possession. Your new mission is "
+					failmessage="" 
+					completeMessage=""/>
+				</GlobalQuest>
 			</subquests>
 			<hints>
@@ -70,5 +107,5 @@
 			<events>
 			  <trigger>
-			    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+			    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassffplayer />
 			  </trigger>
 			</events>
@@ -87,5 +124,5 @@
 			</events>
 			<attached>
-			    <DistanceMultiTrigger name=questbeacon1 position="0,0,0" distance=100 target="Pawn" />
+			    <DistanceTrigger name=questbeacon1 position="0,0,0" distance=100 target=DistanceTriggerBeacon targetname=Me/>
 			</attached>
 		    </QuestEffectBeacon>
@@ -96,8 +133,8 @@
 		
 		<!-- AddSubQuest1 (Questbeacon2)-->
-		<QuestEffectBeacon position="<?lua print(math.random()*1000-500)?>,<?lua print(math.random()*1000-500)?>,<?lua print(math.random()*200-2000)?>" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=1 colour="1.0,1.0,0" material="Examples/Flare" />
-						<DistanceMultiTrigger name=questbeacon2  position="0,0,0" distance=200 target="Pawn" />
+		<QuestEffectBeacon position="<?lua print(math.random()*100-500)?>,<?lua print(math.random()*100-500)?>,<?lua print(math.random()*200-2000)?>" times=1>
+					<attached>
+						<Billboard position="0,0,0" scale=3 colour="1.0,1.0,0" material="Examples/Flare" />
+						<DistanceTrigger name=questbeacon2  position="0,0,0" distance=200 target="Pawn" />
 					</attached>
 					<effects>
@@ -112,8 +149,7 @@
 			    
 		<!-- hint (Questbeacon3)-->
-		<QuestEffectBeacon position="<?lua print(math.random()*1000-500)?>,<?lua print(math.random()*1000-500)?>,<?lua print(math.random()*200-500)?>" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=1 colour="0,1.0,0" material="Examples/Flare" />
-						<DistanceMultiTrigger name=questbeacon3  position="0,0,0" distance=300 target="Pawn" />
+		<QuestEffectBeacon position="0,0,0" times=1>
+					<attached>
+						<DistanceTrigger name=questbeacon3  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me delay="10" />
 					</attached>
 					<effects>
@@ -127,13 +163,16 @@
 			    </QuestEffectBeacon>	
 			    
-		<!-- finish Quest (Questbeacon4)-->
-		<QuestEffectBeacon position="<?lua print(math.random()*1000)?>,<?lua print(math.random()*1000)?>,<?lua print(math.random()*200-6000)?>" times=1>
-					<attached>
-						<Billboard position="0,0,0" scale=1 colour="0,1.0,0" material="Examples/Flare" />
-						<DistanceMultiTrigger name=questbeacon4  position="0,0,0" distance=200 target="Pawn" />
-					</attached>
-		
-					<effects>
-						<CompleteQuest questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" />
+			    
+		<!-- finish SubQuest (Questbeacon4)-->
+		<QuestEffectBeacon position="600,300,-6000" times=1>
+					<attached>
+						<Billboard position="0,0,0" scale=3 colour="0,1.0,0" material="Examples/Flare" />
+						<DistanceTrigger name=questbeacon4  position="0,0,0" distance=200 target=DistanceTriggerBeacon targetname=Me />
+					</attached>
+		
+					<effects>
+						<CompleteQuest questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" />
+						<AddQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
+						<AddQuestHint hintId="965101b3-26ce-4fcf-bc71-17cc2a87d2e9" />
 					</effects>
 					<events>
@@ -143,13 +182,127 @@
 					</events>
 			    </QuestEffectBeacon>
-			
+			    
+			    
+		<!-- Navihint 1(Questbeacon5)-->
+		<QuestEffectBeacon position="7600,300,-8000" times=1>
+					<attached>
+						<DistanceTrigger name=questbeacon5  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
+					</attached>
+					<effects>
+						<AddQuestHint hintId="9930a598-98bc-4ff8-8cc0-31311a6ccaaa" />
+					</effects>
+					<events>
+						<execute>
+							<EventListener event=questbeacon5 />
+						</execute>
+					</events>
+			    </QuestEffectBeacon>	
+			    
+		<!-- Navi2(Questbeacon6)-->
+		<QuestEffectBeacon position="4600,5300,-11000" times=1>
+					<attached>
+						<DistanceTrigger name=questbeacon6  position="0,0,0" distance=300 target=DistanceTriggerBeacon targetname=Me />
+					</attached>
+					<effects>
+						<CompleteQuest questId="8d8ed3a6-74a6-4491-9172-26155cff151d" />
+						<AddQuest questId="8a62408b-c47b-4e02-bd3d-06bb9ec0b363" />
+						
+					</effects>
+					<events>
+						<execute>
+							<EventListener event=questbeacon6 />
+						</execute>
+					</events>
+			    </QuestEffectBeacon>
+			    
+		<!--Navigation System-->			    
+	<EventDispatcher>
+                <targets>
+                    <EventTarget target=Navi />
+                </targets>
+                <events>
+                    <visibility>
+                        <QuestListener questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" mode="complete" />
+                    </visibility>
+                    <activity>
+                        <QuestListener questId="3159b4d4-bc86-4190-ba1d-4530668dfe31" mode="complete" />
+                    </activity>
+                </events>
+            </EventDispatcher>
+
+            <?lua
+                for i = 0, 30
+                do
+            ?>
+		<Billboard position="<?lua print(i*1000/30+600) ?>,<?lua print(i*2000/30+300) ?>,<?lua print(-i*4000/30-6000) ?>" colour="1.0,0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:1600,2300,-10000-->
+		<Billboard position="<?lua print(i*7000/30+600) ?>,<?lua print(i*0/30+300) ?>,<?lua print(-i*2000/30-6000) ?>" colour="0,1.0,0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:7600,300,-8000-->
+		<Billboard position="<?lua print(i*4000/30+600) ?>,<?lua print(i*5000/30+300) ?>,<?lua print(-i*5000/30-6000) ?>" colour="0,0,1.0" scale=1 material="Examples/Flare" name=Navi visible=false/><!--endpos:4600,5300,-11000-->
+            <?lua
+                end
+            ?>
+		
+		
+	<StaticEntity scale=1 position="4650,5350,-11050" name=base visible=true active=true yaw=60>
+                <attached>
+                    <?lua
+                        createSpaceStationPar(9851,2,1,2,1,2,1,100)
+                    ?>
+                </attached>
+            </StaticEntity>
+	    
+	<ParticleSpawner position="4650,5350,-11050" source="Orxonox/explosion1" name=base visible=false active=false loop=0/>
+	<Model position="4800,5785,-10725" scale=3 mesh="Rocket.mesh" visible=true active=true name=base />
+	<EventDispatcher>
+                <targets>
+                    <EventTarget target=base />
+                </targets>
+                <events>
+                    <visibility>
+		  <EventTrigger invert=true>
+		    <events>
+		      <trigger>
+		        <QuestListener questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" mode="recieve" />
+		      </trigger>
+		    </events>
+		  </EventTrigger>
+                    </visibility>
+                    <activity>
+	            <EventTrigger invert=true>
+		    <events>
+		      <trigger>
+                             <QuestListener questId="dbd02b4c-ab7c-46fd-bdaf-fd4c19ac1551" mode="recieve" />
+		      </trigger>
+		    </events>
+		  </EventTrigger>
+                    </activity>
+                </events>
+            </EventDispatcher>
+
+	
+	<EventDispatcher>
+                <targets>
+                    <EventTarget target=base />
+                </targets>
+                <events>
+                    <visibility>
+                        <QuestListener questId="8d8ed3a6-74a6-4491-9172-26155cff151d" mode="complete" />
+                    </visibility>
+                    <activity>
+                        <QuestListener questId="8d8ed3a6-74a6-4491-9172-26155cff151d" mode="complete" />
+                    </activity>
+                </events>
+            </EventDispatcher>
+
+	
+	
+	
 		<!-- pirates -->
 		<?lua
-		for i = 1,2, 1
+		for i = 1,1, 1
 		do
 		?>
 		    <SpaceShip position="<?lua print(math.random()*100)?>,<?lua print(math.random()*100)?>,<?lua print(math.random()*100-2000)?>">
 		      <templates>
-			<Template link=spaceshipHXYSL />
+			<Template link=spaceshippirate />
 		      </templates>
 		      <controller>
@@ -166,18 +319,17 @@
 		end
 		?>
-			
 		
 		<?lua
-		for i = 1,5, 1
+		for i = 1,2, 1
 		do
 		?>
-		    <SpaceShip position="<?lua print(math.random()*100)?>,<?lua print(math.random()*100)?>,<?lua print(math.random()*100-6000)?>">
+		    <SpaceShip position="600,300,-6000">
 		      <templates>
-			<Template link=spaceshipHXYSL />
+			<Template link=spaceshippirate />
 		      </templates>
 		      <controller>
 			<WaypointPatrolController alertnessradius=1000 team=0 active=true>
 			  <waypoints>
-			    <StaticEntity position="0,<?lua print(math.random()*50)?> ,<?lua print(i*50 -6000) ?>" />
+			    <StaticEntity position="600,300,-6000" />
 			  </waypoints>
 			</WaypointPatrolController>
@@ -195,9 +347,9 @@
                 <attached>
                     <?lua
-                        for i = 1, 220
+                        for i = 1, 180
                         do ?>
                         <MovableEntity position="<?lua print(math.random() * 10000 -5000)?>, <?lua print(math.random() * 10000-5000) ?>, <?lua print(math.random() * 10000 -7000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.abs(math.random() * 30 -10)) ?>">
                             <attached>
-                                <Model scale="<?lua print(math.random() * 80) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+                                <Model scale="<?lua print(math.random() * 100) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
                             </attached>
                         </MovableEntity>
@@ -208,4 +360,5 @@
 		</StaticEntity>
 		
+		
 	</Scene>
 </Level>
